# Get orchestration payments Gets a list of orchestration payments. Endpoint: GET /v4/orchestration/payment Version: 4.0.0 Security: Bearer ## Query parameters: - `page` (integer) The page number for paginated results. The value is zero-based, where 0 represents the first page. Set it to 0 to get the first page of results. - `size` (integer) Number of objects to return per page. - `sort_field` (string) Attribute to sort the results on. | Enum: | Sort by | | --- | --- | | CREATED_AT | Created date-time | | MODIFIED_AT | Modified date-time | Enum: "CREATED_AT", "MODIFIED_AT" - `sort_direction` (string) Direction of sorted results based on sort_field. | Enum: | Description | | --- | --- | | ASC | Sort ascending | | DESC | Sort descending | Enum: "ASC", "DESC" - `unique_reference_number` (string) Parameter for filtering with unique reference number. - `orchestration_status` (string) Parameter for filtering with status of the orchestration payment. | Enum | Description | | --- | --- | | INITIAL | Filter by payments in the initial state | | RUNNING | Filter by payments in the running state | | COMPLETED | Filter by completed payments | | PAUSED | Filter by paused payments | | FAILURE | Filter by payment failures | | DECLINED | Filter by declined payments | | RETRY | Filter by payments that have a retry status | Enum: "INITIAL", "RUNNING", "COMPLETED", "PAUSED", "FAILURE", "DECLINED", "RETRY" - `range_field` (string) Range field Designates the column name of the payments database table that is used for filtering payments before/after/between time stamps. The following options are valid: | Range field | Description | | --- | --- | | CREATED_AT | Filter by created date-time | | MODIFIED_AT | Filter by modified date-time | Example usage If you specify range_field = MODIFIED_AT, you need to specify a time stamp (in the 24 character ISO 8601 format used in payment objects: YYYY-MM-DDTHH:mm:ss.sssZ) as the value for before and/or after to fetch payments before, after, or between the specified time range(s) (inclusive). Dependency: If you specify range_field, you must also specify before and/or after. - `before` (string) Before time stamp Filters for payments where the range_field column value is before this specified time stamp (inclusive). You can also specify after to create a time range between after and before. Dependency: If you specify before, you must also specify range_field. Example: 2023-10-13T10:16:29.000Z - `after` (string) After time stamp Filters for payments where the range_field column value is after this specified time stamp (inclusive). You can also specify before to create a time range between after and before. Dependency: If you specify after, you must also specify range_field. Example: 2023-10-13T10:16:29.000Z ## Response 200 fields (application/json): - `first` (boolean) true if this is the first page. - `last` (boolean) true if this is the last page. - `number` (integer) page number - `numberOfElements` (integer) Number Of elements in this request - `size` (integer) page size - `totalElements` (integer) Total number of elements for the given request - `totalPages` (integer) Total number of pages for the given request - `sort` (array) Sort details of this page - `sort.direction` (string) Direction of the sort Example: "ASC" - `sort.property` (string) - `sort.ignoreCase` (boolean) - `sort.nullHandling` (string) Example: "NULLS_FIRST" - `sort.ascending` (boolean) Example: true - `sort.descending` (boolean) - `content` (array) - `content.uuid` (string) Unique Identifier of the orchestration payment. Example: "5492648d-2132-4e70-9ded-2fc86f22b321" - `content.unique_reference_number` (string) Unique reference number. Example: "00310000015" - `content.sender_end_to_end_id` (string) Sender end-to-end ID. Example: "00310000015" - `content.payment_type` (string) The payment type for the payment. Enum: "REGULAR", "RETURN", "REVERSAL" - `content.connector_role` (string) The connector role for payment. Enum: "SENDING", "RECEIVING", "INTERMEDIARY" - `content.payment_id` (string) Payment ID for the transaction in RippleNet. Example: "26bf269b-1a2b-c3d4-872a-7f18d7dcf9f2" - `content.payment_status` (string) Status of the payment. Example: "SUCCESS" - `content.previous_payment_status` (string) Previous status of the payment. Example: "EXECUTED" - `content.orchestration_template` (string) Template name used for executing the orchestration payment. Example: "default_template" - `content.orchestration_status` (string) Status of the orchestration payment. Example: "RUNNING" - `content.current_activity` (string) Current activity which is being executed. Example: "get_quote_v1" - `content.current_activity_status` (string) Status of the current activity. Example: "SUCCESS" - `content.initial_context` (object) Initial context for the orchestration payment. - `content.current_context` (object) Current context of the orchestration payment. - `content.error_message` (object) Error message in case of any error. - `content.activity_list` (object) Activity list of the activities executed so far. - `content.created_at` (string) Date and time at which the orchestration payment was created, as an ISO-8601 timestamp in UTC. Example: "2018-04-06T20:33:35Z" - `content.modified_at` (string) Date and time at which the orchestration payment was modified, as an ISO-8601 timestamp in UTC. Example: "2018-04-06T20:33:35Z"